diff -u apps/app_queue.c apps-noanswer/app_queue.c
--- apps/app_queue.c	2010-05-06 00:50:07.000000000 +0200
+++ apps-noanswer/app_queue.c	2010-06-01 20:41:58.000000000 +0200
@@ -2180,9 +2180,9 @@
 static void rna(int rnatime, struct queue_ent *qe, char *interface, char *membername, int pause)
 {
 	if (option_verbose > 2)
-		ast_verbose( VERBOSE_PREFIX_3 "Nobody picked up in %d ms\n", rnatime);
+	  ast_verbose( VERBOSE_PREFIX_3 "Nobody picked up in %d ms, queue timeout is %d\n", rnatime, qe->parent->timeout);
 	ast_queue_log(qe->parent->name, qe->chan->uniqueid, membername, "RINGNOANSWER", "%d", rnatime);
-	if (qe->parent->autopause && pause) {
+	if (qe->parent->autopause && pause && rnatime == qe->parent->timeout*1000) {
 		if (!set_member_paused(qe->parent->name, interface, 1)) {
 			if (option_verbose > 2)
 				ast_verbose( VERBOSE_PREFIX_3 "Auto-Pausing Queue Member %s in queue %s since they failed to answer.\n", interface, qe->parent->name);
